# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Destination.MatchType

    java.lang.Object
      com.google.gdata.data.analytics.Destination.MatchType

Enclosing class:
  Destination

    public static final class Destination.MatchType

extends java.lang.Object

The match type for the path expression.

Field Summary
`static java.lang.String` `EXACT` Exact destination.
`static java.lang.String` `HEAD` Head destination.
`static java.lang.String` `REGEX` Regex destination.

Constructor Summary
`Destination.MatchType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXACT

    public static final java.lang.String EXACT

  Exact destination.

  See Also:
    Constant Field Values

### HEAD

    public static final java.lang.String HEAD

  Head destination.

  See Also:
    Constant Field Values

### REGEX

    public static final java.lang.String REGEX

  Regex destination.

  See Also:
    Constant Field Values

Constructor Detail

### Destination.MatchType

    public Destination.MatchType()